#include <stdio.h>
#include <unistd.h>
#include <string.h>
#include "SerialComm.h"
#include <time.h>
#include <sys/time.h>


int main(int argc, char *argv[]) {	
	
        FILE* commands = fopen("commands", "rb");
        SerialComm *comm;
        char *port_name = "/dev/rfcomm0\0";
	int err;
        int i=0, j=0;
        char command[20];
        char data[115200];
        int speed_left = 0, speed_right = 0;
        char high_left, low_left, high_right, low_right;
        struct timeval start, end;
        long prepTime = 0;

        comm = new SerialComm();

        err = comm->connect(port_name);
        if(err == -1) {
                perror("Cannot open serial port: ");
                return 1;
        }

        // clear output buffer
        memset(command, 0x0, 20);
        sprintf(command, "\r");
        comm->writeData(command, 1, 6000);
        comm->readData(data, 100, 90000);
        sprintf(command, "V\r");
        comm->writeData(command, 2, 2000);
        memset(data, 0x0, 100);
        comm->readData(data, 100, 200000);
        fprintf(stderr, "version = %s\n", data);

        fread(data, 1, 115200, commands);

        gettimeofday(&start, NULL);

        comm->simple_write(data, 115200);

        gettimeofday(&end, NULL);

        printf("Total time: %ld microsec\n", ((end.tv_sec * 1000000 + end.tv_usec) - (start.tv_sec * 1000000 + start.tv_usec)));

        comm->disconnect();

        fclose(commands);

}

